Forum Post
Index > Scribe > Outstanding bugs

Author/Date Outstanding bugs
fReT
29/07/2002 9:45pm
In the last poll some people voted that bug fixing was their top priority. So I'm interested in finding out what the top bugs are that people want fixed.

So use this post to list all the bugs you know about, esp. long standing ones. I'm not so much interesting in bugs in the new features like the HTML control and the unicode support, because they are works in progress and I'm working on fixed them anyway. But things that have been annoying you for ages and need to be addressed, and I either don't know about or have forgotten (or given up on).

So lets have at it!
Lowspirit
30/07/2002 11:39am
Well I have this big bug that makes i.Scribe completely unusable. I boot up my computer as usual, start my file browser, browse to my i.Scribe folder and try to launch i.Scribe.exe, but nothing happens? I click and I click and I click, but it only seems to encourage it not to run even more.

Oh btw, I run Linux :) *hint*
Steven Hall
30/07/2002 2:30pm
I suppose the biggest bug I find is the one where you close the scrobe main program before closing an open message window. The resulting orphaned window is very difficult to close.
MC
31/07/2002 10:27am
Main Menu
&Mail
New &Message
...
Receive &Mail

"M" key always opens new message, no chance to press it a 2nd time to select Receive Mail. There really should be a simple keyboard shortcut to receive mail.
MC
31/07/2002 10:50am
FWIW, I don't have the orphaned window problem.
InScribe 1.67
Win98SE
Michael Crocker
02/08/2002 1:23pm
This line is repeated more than a dozen times in a file named SCRIBE.TXT:
"DbgHelp.DLL wasn't there or didn't load."
Well, it definitely isn't there! It's not even in the zip download file, and there is no such file in any of the windows directories.

InScribe has been crashing when I try to open certain attachments, but I am not sure if that is related to dbghelp. It doesn't crash if I save those same attachments to a file and then open them.

InScribe v1.67
Win98SE
Michael Crocker
02/08/2002 2:11pm
I figured out where the dbghelp.dll reference comes from. I downloaded it, but right now I don't have one of the problem messages that I can test it with.
Michael Crocker
02/08/2002 3:53pm
I think I have one of the problem messages which I copied from the log file that I could use for testing with debug version. if there is a way to get it imported in as a message.
I tried "Import/Text/Mbox" but it didn't import.
fReT
02/08/2002 10:20pm
Yeah, save the message into a text file by itself... and either:

a) rename to .EML and drop onto scribe...
b) [debug-version] open a new message, click the "load message" button on the "to" tab and select the file. The message will be saved in the outbox.
Michael Crocker
02/08/2002 11:38pm
Couldn't get the eml drop to work in v1.67 (got the + cursor but message never appeared). It did work in debug ver.

And Load Msg did work in debug ver. Opened the attachment with "open" from right click menu and No crash! :) It opened the other (attached) message in another message window.
Inscribe: Filter/Edit/Config
08/08/2002 10:37pm
Rt. Click Existing Filter/Open
Conditions Tab
Record 1 of X
Scrollbar that allows choosing one of multiple conditions that have already been created is not functioning properly. Won't go past 2nd condition and even then jumps back to first one.

Not a bug, but while on the subject of filters, additional help on how to take full advantage of all the filtering capabilities would be helpful. All I have been able to use successfully is "Subject" "Match Word". I would like to match on part of the from field, including just part of the email address. E.G., to match "smith" out of from fields like these:
John Smith
Big John
I would think "From" ">=" "smith" would do it, but it didn't.

fReT
09/08/2002 12:02am
Scrollbar not functioning properly: I couldn't reproduce this, which version was it in?

The >=, <= etc are only for numerical fields, like the size and date ones.
Michael Crocker
10/08/2002 12:18am
It was 1.67. I can't test editing filters in the free ver. Next time you release an update for the paying customers, I'll see if it still happens in that ver.

Thanks for clarifying about ">=". Should "Like" work for part of a text field like the "From" or "To" fields?
Jon Amsler
17/08/2002 10:19am
Hi;

The biggest bug I have is losing messages at random. Every couple of weeks or so a message will disappear. Usually this coincides with a new blank message appearing in the same folder as the message that vanished.

Jon
Theo
26/08/2002 6:58am
I think that the biggest "bug" is what I reported in the "after-crash behaviour" thread. If, for any reason, i.Scribe is not closed correctly next time it runs it downloads again all the messages downloaded in last session (this could be seen as a feature, maybe... but I don't like to look for and cancel all the copies, this could be done automatically, at least, comparing the whole header/signature and body of mails downloaded after a crash) and sent messages becomes corrupted (no date) so I cannot even export them and they could be cleaned during folder compaction...

I just posted this message again because I didn't understand if you thought it was a bug or a v1.70 error and it's really annoyng as it systematically happens after each other serious bug that can crash Scribe. I hope I didn't annoy you!
Reply